Bug 75205 - konsole's display becomes a mess when line drawing chars are used
konsole's display becomes a mess when line drawing chars are used
Product: Red Hat Linux
Classification: Retired
Component: kdebase (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2002-10-05 10:04 EDT by Hans de Goede
Modified: 2007-04-18 12:47 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-12-29 08:51:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Here is a picture of the problem running "man rsync" (74.09 KB, image/jpeg)
2002-10-22 10:18 EDT, Hugh Sparks
no flags Details

  None (edit)
Description Hans de Goede 2002-10-05 10:04:17 EDT
Description of Problem:
konsole's display becomes a  mess when line drawing chars are used

Version-Release number of selected component (if applicable):

How Reproducible:
Start for example mc

Steps to Reproduce:
1. Start konsole
2. Start mc

Actual Results:
Garbage on display

Expected Results:
Normal mc display

Additional Information:
Comment 1 Miloslav Trmac 2002-10-05 17:03:46 EDT
works for me(tm) without problems (locale cs_CZ.UTF-8, no changes to konsole setup)
Comment 2 Hans de Goede 2002-10-06 05:41:30 EDT
My settings are:

Exporting LANG=cs_CZ.UTF-8 before starting console seems te help but if you look
closer you'll still see some garbage but it is black, thus hard to notice.
Comment 3 Need Real Name 2002-10-06 13:49:50 EDT
I have a problem that's probably related. In konsole some 
manpage graphical characters don't display properly. This in pt_PT locale. 
1. man grep 
2. Search (for example) for -b option)
3. This is a cut-and-paste from konsole into mozilla:"  −b, −−byte‐offset"
4. Apparently this is ok, but middle hiffen (-) character is misinterpreted 
in konsole. Note that here in mozilla, although it appears to have trailing 
spaces, it's only an hiffen char (but different from normal keyboard hiffen).
Comment 4 Peter M Aarestad 2002-10-07 16:33:06 EDT
I am getting this issue when doing any sort of "man". My LANG env variable is
set to en_US.UTF-8, FWIW.
Comment 5 Ngo Than 2002-10-08 16:20:01 EDT
If you set font to e.g Lucidatypewriter, it should work. It seems, only fixed
font works correct in konsole.
Comment 6 Hans de Goede 2002-10-08 17:44:48 EDT
You're right lucidia typewriter works fine, but the non custom font menu entries
don't work. And monospace whic is fixed to (and used by the normal menu entries?)
doesn't work. I believe btw that the custom font menu only shows fixed fonts.
which makes sense for a terminal. So although lucidia is ok, it doesn't seem
non-fixed fonts are the problem, but Monotype someway is. Also making fonts bold
can be a problem.

Comment 7 Peter M Aarestad 2002-10-08 20:51:03 EDT
I'm still getting character artifacts with lucidatypewriter-regular-9...
Comment 8 Ian Pilcher 2002-10-10 21:07:06 EDT
Try setting LANG=C.

If I don't do this, I also get artifacts after leaving the man page.  Is anyone
else seeing this?
Comment 9 Hans de Goede 2002-10-11 07:53:29 EDT
Been there done that (LANG=C) doesn't help for mc.

This is a Real Bug (tm), please change it to assigned. I understand if its hard
to fix, but all this chitchat isn't getting us anywhere.
Comment 10 Need Real Name 2002-10-20 14:26:54 EDT
The same problem (found during MC's run)
LANG=en_US.UTF-8 (as well as en_US.iso885915)
Even downloaded from kde.org and installed KDE 3.0.4 (RPMS for RH Linux 8.0)
Problem still exists.
Comment 11 Hugh Sparks 2002-10-22 10:18:51 EDT
Created attachment 81564 [details]
Here is a picture of the problem running "man rsync"
Comment 12 Need Real Name 2002-10-24 13:13:42 EDT
I'm not sure but I'm afraid this bug is concerned with new xft2.
If it is true then we will see this bug fixed only in KDE 3.1 where it will be 
officially supported.
Comment 13 Hans de Goede 2002-12-29 08:51:30 EST
This seems (is) fixed in phoebe, closing with resolution rawhide.

Note You need to log in before you can comment on or make changes to this bug.